This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 494079 - Article_Name.ent has "Article_Name.ent" in HOLDER ENTITY definition
Article_Name.ent has "Article_Name.ent" in HOLDER ENTITY definition
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
Joshua Wulf
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 21:35 EDT by Murray McAllister
Modified: 2015-01-04 17:36 EST (History)
7 users (show)

See Also:
Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 23:55:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2009-04-03 21:35:31 EDT
Description of problem:
After creating a new article, "<!ENTITY HOLDER "YOUR NAME GOES HERE 'My_Article.ent'">" is in the Article_Name.ent file.

Version-Release number of selected component (if applicable):
publican-0.45-0.el5

How reproducible:
Always (for me)

Steps to Reproduce:
1. create_book --type=Article --name=My_Article --brand=RedHat
2. cat My_Article/en-US/My_Article.ent
  
Actual results:
<!ENTITY PRODUCT "Documentation">
<!ENTITY BOOKID "My_Article">
<!ENTITY YEAR "2008">
<!ENTITY HOLDER "YOUR NAME GOES HERE 'My_Article.ent'">

Expected results:
<!ENTITY PRODUCT "Documentation">
<!ENTITY BOOKID "My_Article">
<!ENTITY YEAR "2008">
<!ENTITY HOLDER "YOUR NAME GOES HERE">

Additional info:
I thought "'My_Article.ent'" was some special Article thing, so I left it there, built the book, and it was included in the HTML and PDF output.

As far as I know (building HTML and PDF), it is not required. Can it not be created in future?
Comment 1 Murray McAllister 2009-04-03 22:30:37 EDT
Jeff explained this is part of an error message so people know which file they have to change. Brian, please rewrite to make it clearer that the file name is there so people know what file to edit.
Comment 2 Michael Hideo 2009-06-16 22:22:24 EDT
Adding to QA run
Comment 3 Ruediger Landmann 2009-09-08 18:30:27 EDT
Clarified in 1.0 -- the Entity now reads:

<!ENTITY HOLDER "| You need to change the HOLDER entity in the en-US/Testart1.ent file |">
Comment 5 Fedora Update System 2009-11-17 21:18:54 EST
publican-1.2-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.2-0.fc12
Comment 6 Fedora Update System 2009-11-20 00:17:59 EST
publican-1.2-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-11-25 09:53:05 EST
publican-1.2-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.